XmVaCreateDataField(3)

NAME
XmVaCreateDataField, XmVaCreateManagedDataField — A DataField widget convenience creation functions.

SYNOPSIS

#include <Xm/DataF.h>

Widget XmVaCreateDataField(
Widget parent,
String name,
...);

Widget XmVaCreateManagedDataField(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a DataField widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateDataField function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedDataField function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of DataField and its associated resources, see XmDataField(3).

RETURN

Returns the DataField widget ID.

RELATED

XmDataField(3), XmCreateDataField(3), XtCreateWidget(3), and XtCreateManagedWidget(3).